profile
viewpoint

moby/moby 57155

Moby Project - a collaborative project for the container ecosystem to assemble container-based systems

moby/buildkit 2583

concurrent, cache-efficient, and Dockerfile-agnostic builder toolkit

iopipe/turtle 153

Turtle - functional composition for building lambda architectures in NodeJS

thyb/contentify 88

The easiest way to manage your online content

docker/gordon-bot 32

Gordon the turtle IRC bot to rebuild Jenkins builds.

docker/go 13

Go packages with small patches autogenerated (used for canonical/json)

icecrime/docker-api 5

Docker Remote API

aduermael/minecraft-docker-client 3

A simple Minecraft docker client, to visualize and run containers.

tiborvass/apibunny 3

Generate dot file showing maze at http://apibunny.com

push eventtiborvass/docker

Tibor Vass

commit sha 7bd97b09451b1bd4869fbd77fa1bc78c8b59347d

Revert "vendor libnetwork to 2e24aed516bd5c836e11378bb457dd612aa868ed" This reverts commit ce6f00455fa14687f981caf7d6e948f10c3cd8d5. Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 4 days

push eventtiborvass/docker

Tibor Vass

commit sha 913268d697c29d02a1a6aac5d3d80894183fb2dd

Revert "vendor libnetwork to 70d4d82a5ce50453b1121d95544f0a2ae95bef9b" This reverts commit 273943ff1007ca2fb77cba4e1e475a9b0e299007. Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 4 days

push eventtiborvass/docker

Tibor Vass

commit sha ce6f00455fa14687f981caf7d6e948f10c3cd8d5

vendor libnetwork to 2e24aed516bd5c836e11378bb457dd612aa868ed Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 4 days

push eventtiborvass/docker

Tibor Vass

commit sha 273943ff1007ca2fb77cba4e1e475a9b0e299007

vendor libnetwork to 71d4d82a5ce50453b1121d95544f0a2ae95bef9b Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 4 days

PR opened moby/moby

19.03 fix dns fallback regression

Backport of #41008

+50 -16

0 comment

4 changed files

pr created time in 4 days

create barnchtiborvass/docker

branch : 19.03-fix-dns-fallback-regression

created branch time in 4 days

PR opened moby/moby

Fix dns fallback regression

Fixes #41003

Ref https://github.com/moby/libnetwork/pull/2551

+37 -3

0 comment

4 changed files

pr created time in 4 days

push eventtiborvass/docker

Sebastiaan van Stijn

commit sha 744f1c261c57ed68e3bc8d05f4ab58223be24009

Remove unused functions, variables, fields opts/env_test: suppress a linter warning this one: > opts/env_test.go:95:4: U1000: field `err` is unused (unused) > err error > ^ Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com> Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Sebastiaan van Stijn

commit sha 0507c358d9a4c0b27dd32d415621f99d0a543081

API: explicitely ignore unhandled errors Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Kir Kolyshkin

commit sha b5695b86636ab0889d591e89a13b29a09239a11c

pkg/term/term_linux_test: check returned error before deferring tty.Close() (staticcheck) Fix the following warnings from staticcheck linter: ``` pkg/term/term_linux_test.go:34:2: SA5001: should check returned error before deferring tty.Close() (staticcheck) defer tty.Close() ^ pkg/term/term_linux_test.go:52:2: SA5001: should check returned error before deferring tty.Close() (staticcheck) defer tty.Close() ^ pkg/term/term_linux_test.go:67:2: SA5001: should check returned error before deferring tty.Close() (staticcheck) defer tty.Close() ^ .... ``` Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com> Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Kir Kolyshkin

commit sha d8ec1ee57db37386228e96c136be708d7ded4245

builder/copy-unix: fix filepath.Walk args Mark unused WalkFunc arguments as such, to get rid of the following linterwarning: > builder/dockerfile/copy_unix.go:28:71: SA4009: argument err is overwritten before first use (staticcheck) > return filepath.Walk(source, func(fullpath string, info os.FileInfo, err error) error { Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com>

view details

Kir Kolyshkin

commit sha d584242236494305d5e35978d7f3122964a1d8bf

client: suppress filters.ToParamWithVersion lint warning Add annotations to suppress warnings like this one: > client/container_list.go:38:22: SA1019: filters.ToParamWithVersion is deprecated: Use ToJSON (staticcheck) > filterJSON, err := filters.ToParamWithVersion(cli.version, options.Filters) > ^ Modify the deprecation notice to specify it is applicable to new code only. Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com>

view details

Kir Kolyshkin

commit sha 6392e765ac85e42f370ac51f659f694bcfe9336d

client: remove put() Apparently it is not used anywhere Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com>

view details

Kir Kolyshkin

commit sha 3ef7f7c65081ad354b0b949b33557f86b0e8867a

daemon/monitor: rm redundant if The last check for err != nil is not needed as err is always non-nil there. Remove the check. Also, no need to explicitly define `var err error` here. Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com>

view details

Kir Kolyshkin

commit sha 58ac4bd938cc9c072b28756dc43350fd1fa7adef

daemon/checkpoint: rm extra checks In this code, err is already checked to be nil (or non-nil), so no need to repeat extra checks. Fixes the following govet warnings: > daemon/checkpoint.go:38:12: nilness: tautological condition: nil == nil (govet) > case err == nil: > ^ > daemon/checkpoint.go:45:12: nilness: tautological condition: nil == nil (govet) > case err == nil && stat.IsDir(): > ^ > daemon/checkpoint.go:47:12: nilness: tautological condition: nil == nil (govet) > case err == nil: > ^ Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com>

view details

Kir Kolyshkin

commit sha 365a63a5732a5bb7ec33d0e4cfbbf9e1a3078285

daemon/graphdriver/copy: rm dead code Here, err is never non-nil as it was checked earlier. Fixes the following linter warning: > daemon/graphdriver/copy/copy.go:136:10: nilness: impossible condition: nil != nil (govet) > if err != nil { > ^ Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com>

view details

Kir Kolyshkin

commit sha d8f2b47432aa25e6e0eeba319096e6d24a7cef9e

TestDisplayJSONMessagesStreamInvalidJSON: fix error check As pointed out by govet, > pkg/jsonmessage/jsonmessage_test.go:231:94: nilness: nil dereference in dynamic method call (govet) > if err := DisplayJSONMessagesStream(reader, data, inFd, false, nil); err == nil && err.Error()[:17] != "invalid character" { > ^ The nil deref never happened as err was always non-nil, and so the check for error message text was not performed. Fix this, and while at it, refactor the code a bit. Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com>

view details

Kir Kolyshkin

commit sha 7b85ed613daaf797f80d4419c3b3250e0557f740

plugin/setupNewPlugin: rm dead code > plugin/manager_linux.go:285:9: nilness: impossible condition: nil != nil (govet) > if err != nil { > ^ Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com>

view details

Kir Kolyshkin

commit sha 5c11740abb2a4e8f46b77d71c3ac3eafac960f90

registry/newV1EndpointFromStr: rm dead code > registry/endpoint_v1.go:127:9: nilness: impossible condition: nil != nil (govet) > if err != nil { > ^ Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com>

view details

Kir Kolyshkin

commit sha 7b0e0335bcfca9fd0e2244cecea0d27619ba5a0e

Fix some inefassign warnings Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com>

view details

Kir Kolyshkin

commit sha 04129678a6415d3684a6e892a3b206b83519cc33

jsonfilelog_test: check err from open before close Fix warnings like this one: > daemon/logger/jsonfilelog/jsonfilelog_test.go:191:3: SA5001: should check returned error before deferring file.Close() (staticcheck) > defer file.Close() > ^ Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com>

view details

Kir Kolyshkin

commit sha a7942baf769052c61929121232725e78dade7f60

Use io.SeekStart instead of os.SEEK_SET Fixes linter warnings like this one: > distribution/pull_v2.go:229:39: SA1019: os.SEEK_SET is deprecated: Use io.SeekStart, io.SeekCurrent, and io.SeekEnd. (staticcheck) Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com>

view details

Sebastiaan van Stijn

commit sha a46ad5e7044313d98431788d6177691c4645d527

Builder: remove unused field Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Sebastiaan van Stijn

commit sha 3a16c7246a0b3e2cc7896f8ed4fb732dbd88a1ad

pkg/signal: remove unnescessary conversion (unconvert) Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Sebastiaan van Stijn

commit sha 2c31edbbb64aa86e76aed60d48fec4eb530cf9f6

unconvert: remove unnescessary conversions Signed-off-by: Kir Kolyshkin <kolyshkin@gmail.com> Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Sebastiaan van Stijn

commit sha 27916165b6172a386a8ad27ff61f962609b32b84

TestUlimitOpt: fix composite literal uses unkeyed fields (govet) ``` 18:15:45 opts/ulimit_test.go:11:13: composites: `*github.com/docker/docker/vendor/github.com/docker/go-units.Ulimit` composite literal uses unkeyed fields (govet) 18:15:45 "nofile": {"nofile", 1024, 512}, 18:15:45 ^ ``` Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Sebastiaan van Stijn

commit sha 42154921204c07a7321a31db2da5c111188bb4f4

pkg/ioutils use sha256 instead of sha1 in tests Not really important as it's just test-code, but prevents gosec linting from producing warnings Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

push time in 4 days

push eventmoby/moby

Brian Goff

commit sha 7a9cb29fb980c0ab3928272cdc24c7089b2fcf64

Accept platform spec on container create This enables image lookup when creating a container to fail when the reference exists but it is for the wrong platform. This prevents trying to run an image for the wrong platform, as can be the case with, for example binfmt_misc+qemu. Signed-off-by: Brian Goff <cpuguy83@gmail.com>

view details

Tibor Vass

commit sha 5c10ea6ae80589c2d56d618df54927e92b0b0136

Merge pull request #40725 from cpuguy83/check_img_platform Accept platform spec on container create

view details

push time in 4 days

PR merged moby/moby

Reviewers
Accept platform spec on container create area/api impact/api impact/changelog status/2-code-review

This enables image lookup when creating a container to fail when the reference exists but it is for the wrong platform. This prevents trying to run an image for the wrong platform, as can be the case with, for example binfmt_misc+qemu.

+188 -62

0 comment

28 changed files

cpuguy83

pr closed time in 4 days

push eventthaJeztah/libnetwork

Sebastiaan van Stijn

commit sha fdaaa027ad3af55ce9f9157fa5d4c1b22913bb34

Resolver: fix error handling if we didn't receive a response Commit d5e341e6798c619147691d53ceb6b426b3b8cb9d updated the DNS library and updated the error handling. Due to changes in the library, we now had to check the response itself to check if the response was truncated (Truncated DNS replies should be sent to the client so that the client can retry over TCP). However, bea32b018c874ef35396ef46a3908ca0f9367d76 added an incorrect `nil` check to fix a panic, which ignored situations where an error was returned, but no response (for example, if we failed to connect to the DNS server). In that situation, the error would be ignored, and further down we would consider the connection to have been succesfull, but the DNS server not returning a result. After a "successful" lookup (but no results), we break the loop, and don't attempt lookups in other DNS servers. Versions before bea32b018c874ef35396ef46a3908ca0f9367d76 would produce: Name To resolve: bbc.co.uk. [resolver] query bbc.co.uk. (A) from 172.21.0.2:36181, forwarding to udp:192.168.5.1 [resolver] read from DNS server failed, read udp 172.21.0.2:36181->192.168.5.1:53: i/o timeout [resolver] query bbc.co.uk. (A) from 172.21.0.2:38582, forwarding to udp:8.8.8.8 [resolver] received A record "151.101.0.81" for "bbc.co.uk." from udp:8.8.8.8 [resolver] received A record "151.101.192.81" for "bbc.co.uk." from udp:8.8.8.8 [resolver] received A record "151.101.64.81" for "bbc.co.uk." from udp:8.8.8.8 [resolver] received A record "151.101.128.81" for "bbc.co.uk." from udp:8.8.8.8 Versions after that commit would ignore the error, and stop further lookups: Name To resolve: bbc.co.uk. [resolver] query bbc.co.uk. (A) from 172.21.0.2:59870, forwarding to udp:192.168.5.1 [resolver] external DNS udp:192.168.5.1 returned empty response for "bbc.co.uk." This patch updates the logic to handle the error to log the error (and continue with the next DNS): - if an error is returned, and no response was received - if an error is returned, but it was not related to a truncated response Signed-off-by: Sebastiaan van Stijn <github@gone.nl> Signed-off-by: Tibor Vass <tibor@docker.com> (cherry picked from commit 15ead894b96497b2a2a3363fd8a6d55bd834bb07) Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 4 days

push eventthaJeztah/libnetwork

Sebastiaan van Stijn

commit sha 265a9dcbd234d3c6af2d3c2c8345f0c8400b96c1

Resolver: fix error handling if we didn't receive a response Commit d5e341e6798c619147691d53ceb6b426b3b8cb9d updated the DNS library and updated the error handling. Due to changes in the library, we now had to check the response itself to check if the response was truncated (Truncated DNS replies should be sent to the client so that the client can retry over TCP). However, bea32b018c874ef35396ef46a3908ca0f9367d76 added an incorrect `nil` check to fix a panic, which ignored situations where an error was returned, but no response (for example, if we failed to connect to the DNS server). In that situation, the error would be ignored, and further down we would consider the connection to have been succesfull, but the DNS server not returning a result. After a "successful" lookup (but no results), we break the loop, and don't attempt lookups in other DNS servers. Versions before bea32b018c874ef35396ef46a3908ca0f9367d76 would produce: Name To resolve: bbc.co.uk. [resolver] query bbc.co.uk. (A) from 172.21.0.2:36181, forwarding to udp:192.168.5.1 [resolver] read from DNS server failed, read udp 172.21.0.2:36181->192.168.5.1:53: i/o timeout [resolver] query bbc.co.uk. (A) from 172.21.0.2:38582, forwarding to udp:8.8.8.8 [resolver] received A record "151.101.0.81" for "bbc.co.uk." from udp:8.8.8.8 [resolver] received A record "151.101.192.81" for "bbc.co.uk." from udp:8.8.8.8 [resolver] received A record "151.101.64.81" for "bbc.co.uk." from udp:8.8.8.8 [resolver] received A record "151.101.128.81" for "bbc.co.uk." from udp:8.8.8.8 Versions after that commit would ignore the error, and stop further lookups: Name To resolve: bbc.co.uk. [resolver] query bbc.co.uk. (A) from 172.21.0.2:59870, forwarding to udp:192.168.5.1 [resolver] external DNS udp:192.168.5.1 returned empty response for "bbc.co.uk." This patch updates the logic to handle the error to log the error (and continue with the next DNS): - if an error is returned, and no response was received - if an error is returned, but it was not related to a truncated response Signed-off-by: Sebastiaan van Stijn <github@gone.nl> Signed-off-by: Tibor Vass <tibor@docker.com> (cherry picked from commit 15ead894b96497b2a2a3363fd8a6d55bd834bb07) Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 4 days

pull request commentmoby/libnetwork

[19.03 backport] Resolver: fix error handling if we didn't receive a response

Recherrypicked to get updated commit message.

thaJeztah

comment created time in 4 days

push eventthaJeztah/libnetwork

Sebastiaan van Stijn

commit sha 9b54bc256948475444ffef959524bca315ea02bf

Resolver: fix error handling if we didn't receive a response Commit d5e341e6798c619147691d53ceb6b426b3b8cb9d updated the DNS library and updated the error handling. Due to changes in the library, we now had to check the response itself to check if the response was truncated (Truncated DNS replies should be sent to the client so that the client can retry over TCP). However, bea32b018c874ef35396ef46a3908ca0f9367d76 added an incorrect `nil` check to fix a panic, which ignored situations where an error was returned, but no response (for example, if we failed to connect to the DNS server). In that situation, the error would be ignored, and further down we would consider the connection to have been succesfull, but the DNS server not returning a result. After a "successful" lookup (but no results), we break the loop, and don't attempt lookups in other DNS servers. Versions before bea32b018c874ef35396ef46a3908ca0f9367d76 would produce: Name To resolve: bbc.co.uk. [resolver] query bbc.co.uk. (A) from 172.21.0.2:36181, forwarding to udp:192.168.5.1 [resolver] read from DNS server failed, read udp 172.21.0.2:36181->192.168.5.1:53: i/o timeout [resolver] query bbc.co.uk. (A) from 172.21.0.2:38582, forwarding to udp:8.8.8.8 [resolver] received A record "151.101.0.81" for "bbc.co.uk." from udp:8.8.8.8 [resolver] received A record "151.101.192.81" for "bbc.co.uk." from udp:8.8.8.8 [resolver] received A record "151.101.64.81" for "bbc.co.uk." from udp:8.8.8.8 [resolver] received A record "151.101.128.81" for "bbc.co.uk." from udp:8.8.8.8 Versions after that commit would ignore the error, and stop further lookups: Name To resolve: bbc.co.uk. [resolver] query bbc.co.uk. (A) from 172.21.0.2:59870, forwarding to udp:192.168.5.1 [resolver] external DNS udp:192.168.5.1 returned empty response for "bbc.co.uk." This patch updates the logic to handle the error to log the error (and continue with the next DNS): - if an error is returned, and no response was received - if an error is returned, but it was not related to a truncated response Signed-off-by: Sebastiaan van Stijn <github@gone.nl> Signed-off-by: Tibor Vass <tibor@docker.com> (cherry picked from commit 15ead894b96497b2a2a3363fd8a6d55bd834bb07) Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 4 days

pull request commentmoby/libnetwork

Resolver: fix error handling if we didn't receive a response

@arkodg updated the commit message to mention the commit that actually caused regression bea32b018c874ef35396ef46a3908ca0f9367d76

thaJeztah

comment created time in 4 days

push eventthaJeztah/libnetwork

Sebastiaan van Stijn

commit sha 15ead894b96497b2a2a3363fd8a6d55bd834bb07

Resolver: fix error handling if we didn't receive a response Commit d5e341e6798c619147691d53ceb6b426b3b8cb9d updated the DNS library and updated the error handling. Due to changes in the library, we now had to check the response itself to check if the response was truncated (Truncated DNS replies should be sent to the client so that the client can retry over TCP). However, bea32b018c874ef35396ef46a3908ca0f9367d76 added an incorrect `nil` check to fix a panic, which ignored situations where an error was returned, but no response (for example, if we failed to connect to the DNS server). In that situation, the error would be ignored, and further down we would consider the connection to have been succesfull, but the DNS server not returning a result. After a "successful" lookup (but no results), we break the loop, and don't attempt lookups in other DNS servers. Versions before bea32b018c874ef35396ef46a3908ca0f9367d76 would produce: Name To resolve: bbc.co.uk. [resolver] query bbc.co.uk. (A) from 172.21.0.2:36181, forwarding to udp:192.168.5.1 [resolver] read from DNS server failed, read udp 172.21.0.2:36181->192.168.5.1:53: i/o timeout [resolver] query bbc.co.uk. (A) from 172.21.0.2:38582, forwarding to udp:8.8.8.8 [resolver] received A record "151.101.0.81" for "bbc.co.uk." from udp:8.8.8.8 [resolver] received A record "151.101.192.81" for "bbc.co.uk." from udp:8.8.8.8 [resolver] received A record "151.101.64.81" for "bbc.co.uk." from udp:8.8.8.8 [resolver] received A record "151.101.128.81" for "bbc.co.uk." from udp:8.8.8.8 Versions after that commit would ignore the error, and stop further lookups: Name To resolve: bbc.co.uk. [resolver] query bbc.co.uk. (A) from 172.21.0.2:59870, forwarding to udp:192.168.5.1 [resolver] external DNS udp:192.168.5.1 returned empty response for "bbc.co.uk." This patch updates the logic to handle the error to log the error (and continue with the next DNS): - if an error is returned, and no response was received - if an error is returned, but it was not related to a truncated response Signed-off-by: Sebastiaan van Stijn <github@gone.nl> Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 4 days

pull request commentmoby/libnetwork

Resolver: fix error handling if we didn't receive a response

Integration test in moby: http://github.com/tiborvass/docker/commit/ab176072d635d8c8ff3fc7f30e959ef5bd7b3244

thaJeztah

comment created time in 4 days

create barnchtiborvass/docker

branch : fix-dns-fallback-regression

created branch time in 4 days

pull request commentmoby/libnetwork

Resolver: fix error handling if we didn't receive a response

Ok sorry y'all, I couldn't figure out the test in libnetwork. So I'm adding a test in moby's integration.

thaJeztah

comment created time in 4 days

push eventmoby/moby

Sebastiaan van Stijn

commit sha 29796375c95d033b7b5ecb58c3f192af97463adb

Bump Golang 1.13.11 full diff: https://github.com/golang/go/compare/go1.13.10...go1.13.11 go1.13.11 (released 2020/05/14) includes fixes to the compiler. See the Go 1.13.11 milestone on the issue tracker for details: https://github.com/golang/go/issues?q=milestone%3AGo1.13.11+label%3ACherryPickApproved Signed-off-by: Sebastiaan van Stijn <github@gone.nl> (cherry picked from commit 90758fb028148eb2565417d6ce96e454e07284b7) Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Tibor Vass

commit sha ad0f0b3970068c39951a3563c0b19d15577d7e91

Merge pull request #40978 from thaJeztah/19.03_backport_bump_golang_1.13.11 [19.03 backport] Bump Golang 1.13.11

view details

push time in 5 days

PR merged moby/moby

[19.03 backport] Bump Golang 1.13.11 status/2-code-review

backport of https://github.com/moby/moby/pull/40977 for 19.03

full diff: https://github.com/golang/go/compare/go1.13.10...go1.13.11

go1.13.11 (released 2020/05/14) includes fixes to the compiler. See the Go 1.13.11 milestone on the issue tracker for details:

https://github.com/golang/go/issues?q=milestone%3AGo1.13.11+label%3ACherryPickApproved

+4 -4

1 comment

4 changed files

thaJeztah

pr closed time in 5 days

push eventdocker/cli

Sebastiaan van Stijn

commit sha 936e9717ea2516d9ef3ff7e4466e54cc92955b4c

Bump Golang 1.13.11 full diff: https://github.com/golang/go/compare/go1.13.10...go1.13.11 go1.13.11 (released 2020/05/14) includes fixes to the compiler. See the Go 1.13.11 milestone on the issue tracker for details: https://github.com/golang/go/issues?q=milestone%3AGo1.13.11+label%3ACherryPickApproved Signed-off-by: Sebastiaan van Stijn <github@gone.nl> (cherry picked from commit 1ecca982edecdbf61bf1ea93b15f41eca9a9f312) Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Tibor Vass

commit sha fd7874f16d496314aa9424eb896bf437bf8af439

Merge pull request #2532 from thaJeztah/19.03_backport_bump_golang_1.13.11 [19.03 backport] Bump Golang 1.13.11

view details

push time in 5 days

PR merged docker/cli

[19.03 backport] Bump Golang 1.13.11 status/2-code-review

backport of https://github.com/docker/cli/pull/2531 for 19.03

full diff: https://github.com/golang/go/compare/go1.13.10...go1.13.11

go1.13.11 (released 2020/05/14) includes fixes to the compiler. See the Go 1.13.11 milestone on the issue tracker for details:

https://github.com/golang/go/issues?q=milestone%3AGo1.13.11+label%3ACherryPickApproved

- Description for the changelog <!-- Write a short (one line) summary that describes the changes in this pull request for inclusion in the changelog: -->

- A picture of a cute animal (not mandatory but encouraged)

+6 -6

1 comment

6 changed files

thaJeztah

pr closed time in 5 days

push eventdocker/cli

Silvin Lubecki

commit sha 2d1476c6f006932beacac0a7769e458150316345

Partially revert cf663b526a34f3e7911e6e60138138c2023aa844 as it breaks the version negotiation with an older docker engine. Signed-off-by: Silvin Lubecki <silvin.lubecki@docker.com> (cherry picked from commit 54f766d240f8e8c01bcde6061c877cf6e65e7f3d)

view details

Silvin Lubecki

commit sha 95df3499bb11c092240d51df22b4bd69bae020ba

Add a new Makefile variable to override DockerInDocker engine version we use to run e2e tests Signed-off-by: Silvin Lubecki <silvin.lubecki@docker.com> (cherry picked from commit 15d6565e49f8bdfc589ff0e0884059a9d790cdc5)

view details

Silvin Lubecki

commit sha 0f59532a1a81e0c23ebab8a30e7cee9e03c91f38

Run e2e tests with different engine version on Jenkins Rewrite Jenkinsfile to new declarative syntax without parallel as the e2e framework is not tailored for than (container name clash, port clash,...) Signed-off-by: Tibor Vass <tibor@docker.com> Signed-off-by: Silvin Lubecki <silvin.lubecki@docker.com> (cherry picked from commit 74919d056936d351af733ec504dee3f41c978292)

view details

Tibor Vass

commit sha a945f0e7e092d0d6830023ecc0b4528d97e17a60

Merge pull request #2538 from silvin-lubecki/fix-version-old-engine-19-03 [19.03 backport] Fix version old engine 19 03

view details

push time in 5 days

PR merged docker/cli

Reviewers
[19.03 backport] Fix version old engine 19 03

Backport of #2537

+49 -17

0 comment

3 changed files

silvin-lubecki

pr closed time in 5 days

push eventdocker/cli

Silvin Lubecki

commit sha 54f766d240f8e8c01bcde6061c877cf6e65e7f3d

Partially revert cf663b526a34f3e7911e6e60138138c2023aa844 as it breaks the version negotiation with an older docker engine. Signed-off-by: Silvin Lubecki <silvin.lubecki@docker.com>

view details

Silvin Lubecki

commit sha 15d6565e49f8bdfc589ff0e0884059a9d790cdc5

Add a new Makefile variable to override DockerInDocker engine version we use to run e2e tests Signed-off-by: Silvin Lubecki <silvin.lubecki@docker.com>

view details

Silvin Lubecki

commit sha 74919d056936d351af733ec504dee3f41c978292

Run e2e tests with different engine version on Jenkins Rewrite Jenkinsfile to new declarative syntax without parallel as the e2e framework is not tailored for than (container name clash, port clash,...) Signed-off-by: Tibor Vass <tibor@docker.com> Signed-off-by: Silvin Lubecki <silvin.lubecki@docker.com>

view details

Tibor Vass

commit sha 590f3271ef098f1e11dfbd84d8596b7bf1561c36

Merge pull request #2537 from silvin-lubecki/fix-version-old-engine-master Fix version old engine master

view details

push time in 5 days

PR merged docker/cli

Fix version old engine master

Fixes #2533

- What I did #cf663b5 introduced a regression when the CLI negotiates the API version with an old daemon. This PR reverts it partially and adds regression tests, running all e2e tests against 18.09 daemon.

- Description for the changelog

  • Fix "Docker client version 19.03.09 doesn't automatically downgrade Docker API version correctly"

- A picture of a cute animal (not mandatory but encouraged) image

+48 -28

0 comment

3 changed files

silvin-lubecki

pr closed time in 5 days

issue closeddocker/cli

Docker client version 19.03.09 doesn't automatically downgrade Docker API version correctly

<!-- If you are reporting a new issue, make sure that we do not have any duplicates already open. You can ensure this by searching the issue list for this repository. If there is a duplicate, please close your issue and add a comment to the existing issue instead.

If you suspect your issue is a bug, please edit your issue description to include the BUG REPORT INFORMATION shown below. If you fail to provide this information within 7 days, we cannot debug your issue and will close it. We will, however, reopen it if you later provide the information.

For more information about reporting issues, see https://github.com/docker/cli/blob/master/CONTRIBUTING.md#reporting-other-issues


GENERAL SUPPORT INFORMATION

The GitHub issue tracker is for bug reports and feature requests. General support can be found at the following locations:

  • Docker Support Forums - https://forums.docker.com
  • Docker Community Slack - https://dockr.ly/community
  • Post a question on StackOverflow, using the Docker tag

BUG REPORT INFORMATION

Use the commands below to provide key information from your environment: You do NOT have to include this information if this is a FEATURE REQUEST -->

Description

The 19.03.09 version of the docker client doesn't automatically downgrade the API version it uses to be compatible with an older daemon. This causes docker push and other Docker commands like docker version to fail if the maximum API version supported by the Docker daemon is lower than the API version used by the docker client.

Steps to reproduce the issue:

  1. Install docker client 19.03.09
  2. Run Docker daemon 18.09.3
  3. Run "docker push"

Describe the results you received: docker push fails with the error message Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39

When running docker version with version 19.03.09 of the CLI, it fails with:

Client: Docker Engine - Community
 Version:           19.03.9
 API version:       1.40
 Go version:        go1.13.10
 Git commit:        9d988398e7
 Built:             Fri May 15 00:22:47 2020
 OS/Arch:           linux/amd64
 Experimental:      false
Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39

But with version 19.03.08 of the client and the same version of the Docker daemon (18.09.3), docker version produces:

Client: Docker Engine - Community
 Version:           19.03.8
 API version:       1.39 (downgraded from 1.40)
 Go version:        go1.12.17
 Git commit:        afacb8b7f0
 Built:             Wed Mar 11 01:22:56 2020
 OS/Arch:           linux/amd64
 Experimental:      false

Server: Docker Engine - Community
 Engine:
  Version:          18.09.3
  API version:      1.39 (minimum version 1.12)
  Go version:       go1.10.8
  Git commit:       774a1f4
  Built:            Thu Feb 28 05:59:55 2019
  OS/Arch:          linux/amd64
  Experimental:     false

Describe the results you expected: I expected Docker client 19.03.09 to downgrade its API version to 1.39 , similar to what Docker client 19.03.08 does.

Additional information you deem important (e.g. issue happens only occasionally):

Output of docker version:

See above

Output of docker info:

Client:
 Debug Mode: false

Server:
ERROR: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39
errors pretty printing info

Additional environment details (AWS, VirtualBox, physical, etc.): This happens when the docker CLI is run in a Docker container that communicates with a remote Docker daemon

closed time in 5 days

lokst

pull request commentmoby/libnetwork

Resolver: fix error handling if we didn't receive a response

@thaJeztah isn't https://github.com/moby/libnetwork/commit/bea32b018c874ef35396ef46a3908ca0f9367d76 the commit that broke things?

thaJeztah

comment created time in 5 days

issue commentdocker/roadmap

[Docker Desktop] Desktop resource clean up

Yes but the feature first needs to be in engine anyway via daemon settings which would out-of-the-box work in Desktop via the daemon settings pane. Happy to have nicer UI on top of that, but I would argue that's not the highest priority. Priority is to have the feature in the first place.

nebuk89

comment created time in 5 days

issue commentgolang/go

proposal: change standard library to check for io.EOF using errors.Is

I'm curious to understand how adjusting the docs about io.EOF would break compatibility between two 3rd-party codebases in a way that's not already possible today. Furthermore, if the error checking paradigm from Go 1.13 is fully embraced, shouldn't tooling such as linters or maybe even gofix also prefer errors.Is over equality?

tonistiigi

comment created time in 6 days

created tagmoby/moby

tagv19.03.9

Moby Project - a collaborative project for the container ecosystem to assemble container-based systems

created time in 6 days

issue commentdocker/roadmap

[Docker Desktop] Desktop resource clean up

I don't think this is a desktop issue. All installations have this problem.

nebuk89

comment created time in 6 days

pull request commentdocker/cli

Fix regression when targeting an old docker engine

So I updated Jenkinsfile to the new syntax to make things parallel without changing any other logic. It's now failing without the fix (and I don't know why it wasn't before) but it's also failing in stable and that is because test-e2e-non-experimental target hardcodes 18.09 in 181412252ecf1784f4babfcb146f192538d08321 (this PR). I'm not sure what the rationale was behind that. I'd be in favor of just using $(E2E_ENGINE_VERSION) there as well. @silvin-lubecki @thaJeztah WDYT?

silvin-lubecki

comment created time in 6 days

push eventsilvin-lubecki/cli

Tibor Vass

commit sha f575a333ca5dbb20dccafdbf198be9b3d16f233c

Rewrite Jenkinsfile to new declarative syntax + parallel Signed-off-by: Tibor Vass <tibor@docker.com>

view details

Tibor Vass

commit sha 2ea2f6cf0fd2edc4b05683e3bb8649fca2bb7ba7

Revert "Partially revert cf663b526a34f3e7911e6e60138138c2023aa844 as it breaks the version negotiation with an older docker engine." This reverts commit 7b2fac402fc5d723a7879b8b55e3e48f24a9853c. Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 6 days

push eventsilvin-lubecki/cli

Tibor Vass

commit sha 77625785ba64442ce4a11ceb50eeecac7a3cd9ac

Revert "Partially revert cf663b526a34f3e7911e6e60138138c2023aa844 as it breaks the version negotiation with an older docker engine." This reverts commit 7b2fac402fc5d723a7879b8b55e3e48f24a9853c. Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 6 days

pull request commentdocker/cli

Fix regression when targeting an old docker engine

Temporarily reverting the fix, to confirm that Jenkins will fail.

silvin-lubecki

comment created time in 6 days

created tagdocker/docker-ce

tagv19.03.9

Docker CE

created time in 6 days

push eventmoby/moby

Sebastiaan van Stijn

commit sha 8f1ab4e6123fa95408636827d0683e674c002efb

Fix bug in gotestsum installer causing dependencies to not be downloaded Building gotestsum started to fail after the repository removed some dependencies on master. What happens is that first, we `go get` the package (with go modules disabled); GO111MODULE=off go get -d gotest.tools/gotestsum Which gets the latest version from master, and fetches the dependencies used on master. Then we checkout the version we want to install (for example `v0.3.5`) and run go build. However, `v0.3.5` depends on logrus, and given that we ran `go get` for `master`, that dependency was not fetched, and build fails. This patch modifies the installer to use go modules (alternatively we could probably run `go get .` after checking out the `v0.3.5` version), We need to modify all installers, as it looks like this is a standard pattern we use, but other dependencies were not failing (yet), so this patch only addresses the immediate failure. Signed-off-by: Sebastiaan van Stijn <github@gone.nl> (cherry picked from commit 1d9da1b233314ed487093987293ed0057c919c6d) Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Tibor Vass

commit sha c1cc6ec81a0f0793bb7794220e2b7afc63e7ae1f

Merge pull request #40988 from thaJeztah/19.03_backport_fix_gotestsum_install [19.03 backport] Fix bug in gotestsum installer causing dependencies to not be downloaded

view details

push time in 6 days

PR merged moby/moby

[19.03 backport] Fix bug in gotestsum installer causing dependencies to not be downloaded kind/bugfix status/2-code-review

backport of the Linux-related changes of https://github.com/moby/moby/pull/40979 the Windows Dockerfile in the 19.03 branch does not yet install gotestsum, so no changes were needed for Windows

Building gotestsum started to fail after the repository removed some dependencies on master.

What happens is that first, we go get the package (with go modules disabled);

GO111MODULE=off go get -d gotest.tools/gotestsum

Which gets the latest version from master, and fetches the dependencies used on master. Then we checkout the version we want to install (for example v0.3.5) and run go build.

However, v0.3.5 depends on logrus, and given that we ran go get for master, that dependency was not fetched, and build fails.

This patch modifies the installer to use go modules (alternatively we could probably run go get . after checking out the v0.3.5 version),

We need to modify all installers, as it looks like this is a standard pattern we use, but other dependencies were not failing (yet), so this patch only addresses the immediate failure.

+6 -6

1 comment

1 changed file

thaJeztah

pr closed time in 6 days

push eventdocker/buildx

Tonis Tiigi

commit sha 7f7acf7837661bccafa45b33fba605d9d036ffa9

cmd: seed math rand Signed-off-by: Tonis Tiigi <tonistiigi@gmail.com>

view details

Tibor Vass

commit sha e5217f26e2e4ea6e4d35db95750bf7ff9eb9f188

Merge pull request #296 from tonistiigi/seed-fix cmd: seed math rand

view details

push time in 7 days

PR merged docker/buildx

cmd: seed math rand

Signed-off-by: Tonis Tiigi tonistiigi@gmail.com

+96 -0

0 comment

5 changed files

tonistiigi

pr closed time in 7 days

push eventmoby/moby

Sebastiaan van Stijn

commit sha 1d9da1b233314ed487093987293ed0057c919c6d

Fix bug in gotestsum installer causing dependencies to not be downloaded Building gotestsum started to fail after the repository removed some dependencies on master. What happens is that first, we `go get` the package (with go modules disabled); GO111MODULE=off go get -d gotest.tools/gotestsum Which gets the latest version from master, and fetches the dependencies used on master. Then we checkout the version we want to install (for example `v0.3.5`) and run go build. However, `v0.3.5` depends on logrus, and given that we ran `go get` for `master`, that dependency was not fetched, and build fails. This patch modifies the installer to use go modules (alternatively we could probably run `go get .` after checking out the `v0.3.5` version), We need to modify all installers, as it looks like this is a standard pattern we use, but other dependencies were not failing (yet), so this patch only addresses the immediate failure. Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Sebastiaan van Stijn

commit sha aadc55c605540c49b030c4dd1b8de73a944abfc1

Dockerfile.windows: fix build of gotestsum Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Tibor Vass

commit sha 327a0b4ae430fd670ac84a5cbdb3b9fc035a3b88

Merge pull request #40979 from thaJeztah/fix_gotestsum_install Fix bug in gotestsum installer causing dependencies to not be downloaded

view details

push time in 8 days

PR merged moby/moby

Reviewers
Fix bug in gotestsum installer causing dependencies to not be downloaded kind/bugfix process/cherry-pick status/2-code-review

Building gotestsum started to fail after the repository removed some dependencies on master.

What happens is that first, we go get the package (with go modules disabled);

GO111MODULE=off go get -d gotest.tools/gotestsum

Which gets the latest version from master, and fetches the dependencies used on master. Then we checkout the version we want to install (for example v0.3.5) and run go build.

However, v0.3.5 depends on logrus, and given that we ran go get for master, that dependency was not fetched, and build fails.

This patch modifies the installer to use go modules (alternatively we could probably run go get . after checking out the v0.3.5 version),

We need to modify all installers, as it looks like this is a standard pattern we use, but other dependencies were not failing (yet), so this patch only addresses the immediate failure.

+16 -33

4 comments

4 changed files

thaJeztah

pr closed time in 8 days

Pull request review commentmoby/buildkit

llb: add source tracking support

 message OpMetadata { 	map<string, bool> caps = 5 [(gogoproto.castkey) = "github.com/moby/buildkit/util/apicaps.CapID", (gogoproto.nullable) = false]; } +message Source {+    map<string, Location> locations = 1;+	SourceInfo info = 2;+}++message SourceInfo {+    string filename = 1;

is there a protofmt ?

tonistiigi

comment created time in 9 days

Pull request review commentmoby/moby

Fix bug in gotestsum installer causing dependencies to not be downloaded

 RUN ` RUN `   Function Build-GoTestSum() { `     Write-Host "INFO: Building gotestsum version $Env:GOTESTSUM_COMMIT in $Env:GOPATH"; `-    $optsForGet = @('"get"', '"-d"', '"gotest.tools/gotestsum"'); `-    &go $optsForGet; `-    $savedExitCode = $LASTEXITCODE; `-    if ($savedExitCode -ne 0) {  `+    $env:GO111MODULE = 'on'; `+    &go get -d "gotest.tools/gotestsum@${Env:GOTESTSUM_COMMIT}"; `+    $env:GO111MODULE = 'off'; `

this should go after LASTEXITCODE

thaJeztah

comment created time in 9 days

push eventmoby/moby

Sebastiaan van Stijn

commit sha 64bc9281de80d1861c2befb12c685d9f1cd1f22a

vendor: opencontainers/runtime-spec v1.0.2 full diff: https://github.com/opencontainers/runtime-spec/compare/29686dbc5559d93fb1ef402eeda3e35c38d75af4...v1.0.2 Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Tibor Vass

commit sha c85b2e5c3026c117ae2eeb56095d4127c02aa27e

Merge pull request #40908 from thaJeztah/bump_runtime_spec vendor: opencontainers/runtime-spec v1.0.2

view details

push time in 11 days

PR merged moby/moby

vendor: opencontainers/runtime-spec v1.0.2 area/runtime status/2-code-review

full diff: https://github.com/opencontainers/runtime-spec/compare/29686dbc5559d93fb1ef402eeda3e35c38d75af4...v1.0.2

+61 -17

9 comments

4 changed files

thaJeztah

pr closed time in 11 days

push eventmoby/moby

Sebastiaan van Stijn

commit sha 9871b6e30e23876efa95561028c33cfc1fc63d86

Fix TestSwarmManagerAddress to not depend on "pretty" format This allows this test to be run on other versions of the CLI Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Tibor Vass

commit sha 1e315b42e9aad819bb1bc8fb30837864d8ef96de

Merge pull request #40949 from thaJeztah/fix_TestSwarmManagerAddress_on_other_cli Fix TestSwarmManagerAddress to not depend on "pretty" format

view details

push time in 11 days

PR merged moby/moby

Fix TestSwarmManagerAddress to not depend on "pretty" format area/testing status/2-code-review

This allows this test to be run on other versions of the CLI

fixes one of the failing tests in https://github.com/moby/moby/pull/40935

+4 -4

1 comment

1 changed file

thaJeztah

pr closed time in 11 days

pull request commentmoby/moby

vendor: revert docker/distribution to v2.7.1

I'm not too sure what this brings us as moby is far from using go.mod, but I don't mind either way.

thaJeztah

comment created time in 11 days

push eventmoby/moby

Sebastiaan van Stijn

commit sha 5fd3496e7a96440bc1b08d16cc36f306b6e43665

vendor: gorilla/mux v1.7.4 full diff: https://github.com/gorilla/mux/compare/v1.7.3...v1.7.4 v1.7.4 addresses a number of performance improvements, bugs, and documentation improvements. - Reduce allocations in (*routeRegexp).getURLQuery - Fixed golint warnings - fix headers regexp test case - Fix the CORSMethodMiddleware bug with subrouters - Remove/cleanup request context helpers - Guess the scheme if r.URL.Scheme is unset - Added capacity to slice creation, when capacity is known - Modified http status codes, using constants provided by the http package - bugfix/subrouter custom methodNotAllowed handler returning 404 - Update README (self-host logo) - Remove TravisCI badge - Add documentation for using mux to serve a SPA - Simplify code - Avoid unnecessary conversion - Update config.yml (#495) @elithrar Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Tibor Vass

commit sha 2cc328ebddf0c34b313a0210474f1b40b3992111

Merge pull request #40940 from thaJeztah/bump_gorilla_mux vendor: gorilla/mux v1.7.4

view details

push time in 11 days

PR merged moby/moby

vendor: gorilla/mux v1.7.4 status/2-code-review

full diff: https://github.com/gorilla/mux/compare/v1.7.3...v1.7.4

v1.7.4 addresses a number of performance improvements, bugs, and documentation improvements. https://github.com/gorilla/mux/releases/tag/v1.7.4

  • Reduce allocations in (*routeRegexp).getURLQuery
  • Fixed golint warnings
  • fix headers regexp test case
  • Fix the CORSMethodMiddleware bug with subrouters
  • Remove/cleanup request context helpers
  • Guess the scheme if r.URL.Scheme is unset
  • Added capacity to slice creation, when capacity is known
  • Modified http status codes, using constants provided by the http package
  • bugfix/subrouter custom methodNotAllowed handler returning 404
  • Update README (self-host logo)
  • Remove TravisCI badge
  • Add documentation for using mux to serve a SPA
  • Simplify code
  • Avoid unnecessary conversion
  • Update config.yml (#495) @elithrar

- Description for the changelog <!-- Write a short (one line) summary that describes the changes in this pull request for inclusion in the changelog: -->

- A picture of a cute animal (not mandatory but encouraged)

+200 -71

0 comment

9 changed files

thaJeztah

pr closed time in 11 days

push eventmoby/moby

Sebastiaan van Stijn

commit sha a4400d328c5a040193483d03d7691a6f79d49bf1

Makefile: remove empty targets, and slight refactor The empty `binary:`, `dynbinary:`, and `cross:` targets at the top were only useful to provide the description for `make help`. This patch splits the actual `binary`, `dynbinary`, and `cross` targets to separate lines, introducing some slight duplicated code, but making it slightly easier to read (and removing the "empty" targets). Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Tibor Vass

commit sha e85f3b5dfb89fca48877fc8bfe1baaac454392ee

Merge pull request #40883 from thaJeztah/regroup_makefile_targets Makefile: remove empty targets, and slight refactor

view details

push time in 11 days

PR merged moby/moby

Reviewers
Makefile: remove empty targets, and slight refactor kind/refactor status/2-code-review

The empty binary:, dynbinary:, and cross: targets at the top were only useful to provide the description for make help.

This patch splits the actual binary, dynbinary, and cross targets to separate lines, introducing some slight duplicated code, but making it slightly easier to read (and removing the "empty" targets).

+9 -8

0 comment

1 changed file

thaJeztah

pr closed time in 11 days

push eventmoby/moby

Akihiro Suda

commit sha 0a3b2bda3495e259208c49b08f5bd208078f9371

pkg/archive: escape ":" symbol in overlay lowerdir lowerdir needs escaping: https://github.com/torvalds/linux/blob/v5.4/fs/overlayfs/super.c#L835-L853 Fix #40939 Signed-off-by: Akihiro Suda <akihiro.suda.cz@hco.ntt.co.jp> (cherry picked from commit 6a5e3547fbe0d17eb99762cf2c24fae485308473) Signed-off-by: Akihiro Suda <akihiro.suda.cz@hco.ntt.co.jp>

view details

Tibor Vass

commit sha 811a247d06e8f37cbccd2c2d9546815b912a1948

Merge pull request #40970 from AkihiroSuda/archive-40939-1903 [19.03 backport] pkg/archive: escape ":" symbol in overlay lowerdir

view details

push time in 11 days

PR merged moby/moby

[19.03 backport] pkg/archive: escape ":" symbol in overlay lowerdir area/rootless area/storage/overlay kind/bugfix status/4-merge

lowerdir needs escaping: https://github.com/torvalds/linux/blob/v5.4/fs/overlayfs/super.c#L835-L853

Fix #40939

Cherry-pick #40959

+6 -2

0 comment

1 changed file

AkihiroSuda

pr closed time in 11 days

push eventmoby/moby

Akihiro Suda

commit sha 9057ddf37c19c9d0eb7bc4a99677033b9e24bf17

dockerd-rootless.sh: bump up slirp4netns requirement to v0.4.0 slirp4netns v0.3.X turned out not to work with RootlessKit >= v0.7.1: https://github.com/rootless-containers/rootlesskit/issues/143 As slirp4netns v0.3.X reached EOL on Mar 31, 2020, RootlessKit is not going to fix support for slirp4netns v0.3.X. Signed-off-by: Akihiro Suda <akihiro.suda.cz@hco.ntt.co.jp> (cherry picked from commit c86abee1a49b482935ae805c8fb724086b732141) Signed-off-by: Akihiro Suda <akihiro.suda.cz@hco.ntt.co.jp>

view details

Tibor Vass

commit sha 4d1885fb947478b0599508acd9ffa9312dde7cfb

Merge pull request #40964 from AkihiroSuda/rootless-requires-slirp4netns-040-1903 [19.03 backport] dockerd-rootless.sh: bump up slirp4netns requirement to v0.4.0

view details

push time in 11 days

PR merged moby/moby

[19.03 backport] dockerd-rootless.sh: bump up slirp4netns requirement to v0.4.0 area/rootless status/2-code-review

slirp4netns v0.3.X turned out not to work with RootlessKit >= v0.7.1: https://github.com/rootless-containers/rootlesskit/issues/143

As slirp4netns v0.3.X reached EOL on Mar 31, 2020, RootlessKit is not going to fix support for slirp4netns v0.3.X.

Backport https://github.com/moby/moby/pull/40931

+5 -5

0 comment

1 changed file

AkihiroSuda

pr closed time in 11 days

PR opened docker/docker-install

Make script work on RHEL

Signed-off-by: Tibor Vass tibor@docker.com

+3 -3

0 comment

1 changed file

pr created time in 12 days

create barnchtiborvass/docker-install

branch : rhel

created branch time in 12 days

push eventtiborvass/dump

Tibor Vass

commit sha d77a87e8011bde0cba5809b207711c849a64a9d9

Create docker-ce-staging.repo

view details

push time in 12 days

create barnchtiborvass/dump

branch : rhel

created branch time in 12 days

push eventdocker/docker-ce

Tibor Vass

commit sha eef871ea699ed00c0fd348419abc6d6714d3afb2

Add 19.03.9 Changelog Signed-off-by: Tibor Vass <tibor@docker.com>

view details

Tibor Vass

commit sha 4588637baa9f5ab31e06f3679c15b76abc426999

Merge pull request #646 from tiborvass/19.03-changelog Add 19.03.9 Changelog

view details

push time in 12 days

PR merged docker/docker-ce

Reviewers
Add 19.03.9 Changelog

Signed-off-by: Tibor Vass tibor@docker.com

Ref https://github.com/docker/docker-ce/pull/645

+51 -0

0 comment

1 changed file

tiborvass

pr closed time in 12 days

push eventtiborvass/docker-ce

Tibor Vass

commit sha eef871ea699ed00c0fd348419abc6d6714d3afb2

Add 19.03.9 Changelog Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 12 days

pull request commentdocker/docker-ce

Bump Version to 19.03.9

Ref https://github.com/docker/docker-ce/pull/646

tiborvass

comment created time in 12 days

PR opened docker/docker-ce

Add 19.03.9 Changelog

Signed-off-by: Tibor Vass tibor@docker.com

+53 -0

0 comment

1 changed file

pr created time in 12 days

push eventtiborvass/docker-ce

Tibor Vass

commit sha a9d93ec1f4017417e2a14f6bde6629b37da6adcc

Add 19.03.9 Changelog Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 12 days

push eventtiborvass/docker-ce

Tibor Vass

commit sha 2f17e3fdb941b24364fd8790c98ce1683c20b4b9

Add 19.03.9 Changelog Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 12 days

push eventtiborvass/docker-ce

Tibor Vass

commit sha 99ff3e75aa937cc6dd9196d07cffb5694dd7e70c

Add 19.03.9 Changelog Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 12 days

create barnchtiborvass/docker-ce

branch : 19.03-changelog

created branch time in 12 days

push eventtiborvass/containerd-packaging

Tibor Vass

commit sha fbe9af00763b1fc2d553977d0670f4317e2061fe

Add checkout.sh to handle tags with shallow clones Commit 9706347c34524feb83d75a7119ea88311b41e668 changed to shallow clones but fetching a tag ref does not download the tag itself. This patch makes sure that the tag (or branch) is downloaded otherwise fallsback to fetching the commit hash as it did before. Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 13 days

push eventtiborvass/containerd-packaging

Tibor Vass

commit sha 837f63d5fa4cbcae51a621400c35c2c2bf5fa138

Add checkout.sh to handle tags with shallow clones Commit 9706347c34524feb83d75a7119ea88311b41e668 changed to shallow clones but fetching a tag ref does not download the tag itself. This patch makes sure that the tag (or branch) is downloaded otherwise fallsback to fetching the commit hash as it did before. Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 13 days

push eventtiborvass/containerd-packaging

Tibor Vass

commit sha d7bb03756f1069b77fcba880775dc47b3010eb57

Add checkout.sh to handle tags with shallow clones Commit 9706347c34524feb83d75a7119ea88311b41e668 changed to shallow clones but fetching a tag ref does not download the tag itself. This patch makes sure that the tag (or branch) is downloaded otherwise fallsback to fetching the commit hash as it did before. Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 13 days

push eventtiborvass/containerd-packaging

Tibor Vass

commit sha dbe770b5bc91b4adf235604e8db40538e96105b6

Add checkout.sh to handle tags with shallow clones Commit 9706347c34524feb83d75a7119ea88311b41e668 changed to shallow clones but fetching a tag ref does not download the tag itself. This patch makes sure that the tag (or branch) is downloaded otherwise fallsback to fetching the commit hash as it did before. Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 13 days

push eventtiborvass/containerd-packaging

Tibor Vass

commit sha b5f1609b2b3efe08f089a6ddf1631d1f101b950d

Add checkout.sh to handle tags with shallow clones Commit 9706347c34524feb83d75a7119ea88311b41e668 changed to shallow clones but fetching a tag ref does not download the tag itself. This patch makes sure that the tag (or branch) is downloaded otherwise fallsback to fetching the commit hash as it did before. Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 13 days

push eventtiborvass/containerd-packaging

Tibor Vass

commit sha d83cdf782f3f9bc677c0f47b197146416e874a5f

Add checkout.sh to handle tags with shallow clones Commit 9706347c34524feb83d75a7119ea88311b41e668 changed to shallow clones but fetching a tag ref does not download the tag itself. This patch makes sure that the tag (or branch) is downloaded otherwise fallsback to fetching the commit hash as it did before. Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 13 days

push eventtiborvass/containerd-packaging

Tibor Vass

commit sha 06b84d053c6fcefa06c70a64c5e23f55c73a815f

Add checkout.sh to handle tags with shallow clones Commit 9706347c34524feb83d75a7119ea88311b41e668 changed to shallow clones but fetching a tag ref does not download the tag itself. This patch makes sure that the tag (or branch) is downloaded otherwise fallsback to fetching the commit hash as it did before. Signed-off-by: Tibor Vass <tibor@docker.com>

view details

push time in 13 days

Pull request review commentdocker/containerd-packaging

Add checkout.sh to handle tags with shallow clones

+#!/usr/bin/env bash++set -ex++checkout() {+	local SRC="$1"+	local REF="$2"+	# if ref is branch or tag, retrieve its canonical form+	local REF_CANON=$(git -C "$SRC" ls-remote --refs --heads --tags origin "$REF" | awk '{print $2}')+	if [ -n "$REF_CANON" ]; then+		# if branch or tag then create it locally too+		FETCH_REF="$REF_CANON:$REF_CANON"+	else+		# otherwise use REF input as-is (e.g. commit hash)+		REF_CANON="$REF"+		FETCH_REF="$REF"+	fi+	git -C "$SRC" fetch --depth 1 origin "$FETCH_REF"+	git -C "$SRC" checkout -q "$REF_CANON"+}+++# Only execute checkout function above if this file is executed, not sourced from another script+prog=checkout.sh # needs to be in sync with this file's name+if [ "$(basename -- $0)" == "$prog" ]; then

This check is not needed here, but i thought this file could be reused (in other scripts as well) as it's basically circumventing a git limitation. I wish this beahvior was just a flag on git fetch or that git clone accepted commit hashes.

tiborvass

comment created time in 13 days

PR opened docker/containerd-packaging

Add checkout.sh to handle tags with shallow clones

Commit 9706347c34524feb83d75a7119ea88311b41e668 changed to shallow clones but fetching a tag ref does not download the tag itself. This patch makes sure that the tag (or branch) is downloaded otherwise fallsback to fetching the commit hash as it did before.

Signed-off-by: Tibor Vass tibor@docker.com

Ref #173

+29 -4

0 comment

2 changed files

pr created time in 13 days

create barnchtiborvass/containerd-packaging

branch : fix-version

created branch time in 13 days

push eventmoby/buildkit

Tonis Tiigi

commit sha 6446f2af8f8e69578406e6b84645f994066e39cc

gateway: fix metadata getting lost on subsolve Signed-off-by: Tonis Tiigi <tonistiigi@gmail.com> (cherry picked from commit 6436583992f6a97ed38f93d277a045e764dce554)

view details

Tonis Tiigi

commit sha 33e296eb664ab57383e7ef366a82457334059351

gateway: add cap to detect metadata support Signed-off-by: Tonis Tiigi <tonistiigi@gmail.com> (cherry picked from commit de5af7d6c252b7336aa7ddfc6ada29bc3fb92d48)

view details

Tibor Vass

commit sha a7d7b7f1e6bfc102810079f13212de6a869c494b

Merge pull request #1483 from tonistiigi/1903-metadata-fix [docker-19.03] gateway: fix metadata getting lost on subsolve

view details

push time in 14 days

PR opened moby/moby

Reviewers
hack: update default CLI version to 19.03.8

Signed-off-by: Tibor Vass tibor@docker.com

+1 -1

0 comment

1 changed file

pr created time in 17 days

create barnchtiborvass/docker

branch : update-cli-version

created branch time in 17 days

PR merged moby/moby

Do not require "experimental" for metrics API impact/changelog kind/experimental status/2-code-review

Signed-off-by: Sebastiaan van Stijn github@gone.nl

<!-- Please make sure you've read and understood our contributing guidelines; https://github.com/moby/moby/blob/master/CONTRIBUTING.md

** Make sure all your commits include a signature generated with git commit -s **

For additional information on our contributing process, read our contributing guide https://docs.docker.com/opensource/code/

If this is a bug fix, make sure your description includes "fixes #xxxx", or "closes #xxxx"

Please provide the following information: -->

- What I did

- How I did it

- How to verify it

- Description for the changelog <!-- Write a short (one line) summary that describes the changes in this pull request for inclusion in the changelog: -->

- A picture of a cute animal (not mandatory but encouraged)

+12 -12

5 comments

3 changed files

thaJeztah

pr closed time in 17 days

push eventmoby/moby

Sebastiaan van Stijn

commit sha f337a8d21d9902772a766f57475a5512405c86c5

Do not require "experimental" for metrics API Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Tibor Vass

commit sha 298ba5b13150bfffe8414922a951a7a793276d31

Merge pull request #40427 from thaJeztah/prometheus_remove_experimental Do not require "experimental" for metrics API

view details

push time in 17 days

Pull request review commentmoby/moby

Do not require "experimental" for metrics API

 func (daemon *Daemon) listenMetricsSock() (string, error) { 	mux := http.NewServeMux() 	mux.Handle("/metrics", metrics.Handler()) 	go func() {-		http.Serve(l, mux)+		logrus.Debugf("metrics API listening on %s", l.Addr())

I guess I don't understand why we have two places (here and in cmd/dockerd) where we start the metrics server.

thaJeztah

comment created time in 17 days

push eventdocker/docker-ce-packaging

Sebastiaan van Stijn

commit sha 418dc29193310edf4bdb688eff2810aefb5c3429

CentOS 8: manually import GPG key RHEL8 / CentOS 8 changed behavior and no longer "rpm --import" or "rpmkeys --import"as part of rpm package's %post scriplet. See https://forums.centos.org/viewtopic.php?f=54&t=72574, and https://access.redhat.com/solutions/3720351 Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Sebastiaan van Stijn

commit sha 29b0f08e47a6aade4fba72d9df2ea0b7c8295e5b

Jenkinsfile: build CentOS 8 on PR builds Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Tibor Vass

commit sha 1c4fdf511936510a893a9c1c092191bed3e0fb95

Merge pull request #470 from thaJeztah/pr_build_centos8 [master] Build CentOS 8 on PR builds and fix GPG errors

view details

push time in 17 days

Pull request review commentdocker/docker-ce-packaging

[master] Build CentOS 8 on PR builds and fix GPG errors

 test_steps = [ 		} 	}, 	'rpm': { ->-		stage('Centos 7 RPM Package') {+		stage('Centos 7 and 8 RPM Packages') { 			wrappedNode(label: 'ubuntu && x86_64', cleanWorkspace: true) { 				try { 					checkout scm 					sh('git clone https://github.com/docker/cli.git') 					sh("git -C cli checkout $branch") 					sh('git clone https://github.com/docker/docker.git engine') 					sh("git -C engine checkout $branch")-					sh('make -C rpm VERSION=0.0.1-dev ENGINE_DIR=$(pwd)/engine CLI_DIR=$(pwd)/cli centos-7')+					sh('make -C rpm VERSION=0.0.1-dev ENGINE_DIR=$(pwd)/engine CLI_DIR=$(pwd)/cli centos-7 centos-8')

why not too parallel stages?

thaJeztah

comment created time in 17 days

push eventmoby/moby

Sebastiaan van Stijn

commit sha 3bba43b894c850f0914c778aec0a41fbccbc74b6

pkg/system: deprecate SetNamedSecurityInfo, GetSecurityDescriptorDacl Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Sebastiaan van Stijn

commit sha 70a4d886cdcd57f7259cda667a7fa97c3e2d0b7e

builder: fixPermissionsWindows(): use golang.org/x/sys/windows Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Tibor Vass

commit sha 751d5f879a4f625bd32b08481bbb45e5d2db5b6c

Merge pull request #40646 from thaJeztah/builder_use_pkg_sys_windows pkg/system: deprecate SetNamedSecurityInfo, GetSecurityDescriptorDacl

view details

push time in 17 days

PR merged moby/moby

Reviewers
pkg/system: deprecate SetNamedSecurityInfo, GetSecurityDescriptorDacl area/builder kind/refactor platform/windows status/2-code-review

- Description for the changelog <!-- Write a short (one line) summary that describes the changes in this pull request for inclusion in the changelog: -->

- A picture of a cute animal (not mandatory but encouraged)

+5 -7

3 comments

2 changed files

thaJeztah

pr closed time in 17 days

push eventdocker/docker-ce

Tibor Vass

commit sha d4a9c8b0ff278fb081ec128ddbc1469a01527ab2

Bump Version to 19.03.9 Signed-off-by: Tibor Vass <tibor@docker.com>

view details

Tibor Vass

commit sha 4795d20157402cdb4b3bf05b85397a42c59ec766

Merge pull request #645 from tiborvass/bump-19.03.9 Bump Version to 19.03.9

view details

push time in 17 days

PR merged docker/docker-ce

Bump Version to 19.03.9

Signed-off-by: Tibor Vass tibor@docker.com

+1 -1

0 comment

1 changed file

tiborvass

pr closed time in 17 days

PR opened docker/docker-ce

Bump Version to 19.03.9

Signed-off-by: Tibor Vass tibor@docker.com

+1 -1

0 comment

1 changed file

pr created time in 18 days

create barnchtiborvass/docker-ce

branch : bump-19.03.9

created branch time in 18 days

Pull request review commentmoby/moby

Dockerfile: improve binary build stages

 RUN --mount=type=cache,sharing=locked,id=moby-cross-true-aptlib,target=/var/lib/ FROM runtime-dev-cross-${CROSS} AS runtime-dev  FROM base AS tomlv-ENV INSTALL_BINARY_NAME=tomlv ARG TOMLV_COMMIT-COPY hack/dockerfile/install/install.sh ./install.sh-COPY hack/dockerfile/install/$INSTALL_BINARY_NAME.installer ./ RUN --mount=type=cache,target=/root/.cache/go-build \     --mount=type=cache,target=/go/pkg/mod \-        PREFIX=/build ./install.sh $INSTALL_BINARY_NAME+    --mount=type=bind,src=hack/dockerfile/install,target=/tmp/install \+        PREFIX=/build /tmp/install/install.sh tomlv  FROM base AS vndr-ENV INSTALL_BINARY_NAME=vndr ARG VNDR_COMMIT-COPY hack/dockerfile/install/install.sh ./install.sh-COPY hack/dockerfile/install/$INSTALL_BINARY_NAME.installer ./ RUN --mount=type=cache,target=/root/.cache/go-build \     --mount=type=cache,target=/go/pkg/mod \-        PREFIX=/build ./install.sh $INSTALL_BINARY_NAME+    --mount=type=bind,src=hack/dockerfile/install,target=/tmp/install \+        PREFIX=/build /tmp/install/install.sh vndr  FROM dev-base AS containerd ARG DEBIAN_FRONTEND-ARG CONTAINERD_COMMIT RUN --mount=type=cache,sharing=locked,id=moby-containerd-aptlib,target=/var/lib/apt \     --mount=type=cache,sharing=locked,id=moby-containerd-aptcache,target=/var/cache/apt \         apt-get update && apt-get install -y --no-install-recommends \             libbtrfs-dev-ENV INSTALL_BINARY_NAME=containerd-COPY hack/dockerfile/install/install.sh ./install.sh-COPY hack/dockerfile/install/$INSTALL_BINARY_NAME.installer ./+ARG CONTAINERD_COMMIT

no big deal, but in general I prefer keeping ARGs at top of stage, think of them as input variable to a function.

thaJeztah

comment created time in 18 days

push eventmoby/term

Sebastiaan van Stijn

commit sha b28eb11e342804ac6d2e291bf750df0dc0356810

README: fix broken link for status badge Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

view details

Tibor Vass

commit sha 73f35e472e8f0a3f91347164138ce6bd73b756a9

Merge pull request #12 from thaJeztah/fix_badge README: fix broken link for status badge

view details

push time in 18 days

more